KeyExchange (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net.openssl.ciphers, enum: KeyExchange

# Enum KeyExchange

java.lang.Object
java.lang.Enum<KeyExchange>
org.apache.tomcat.util.net.openssl.ciphers.KeyExchange

All Implemented Interfaces:
  `Serializable, Comparable<KeyExchange>, java.lang.constant.Constable`

public enum KeyExchange extends Enum<KeyExchange>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  `DHd`
  `DHEPSK`
  `DHr`
  `ECDHe`
  `ECDHEPSK`
  `ECDHr`
  `EDH`
  `EECDH`
  `FZA`
  `GOST`
  `KRB5`
  `PSK`
  `RSA`
  `RSAPSK`
  `SRP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KeyExchange`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static KeyExchange[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EECDH

    public static final KeyExchange EECDH

  - ### RSA

    public static final KeyExchange RSA

  - ### DHr

    public static final KeyExchange DHr

  - ### DHd

    public static final KeyExchange DHd

  - ### EDH

    public static final KeyExchange EDH

  - ### PSK

    public static final KeyExchange PSK

  - ### FZA

    public static final KeyExchange FZA

  - ### KRB5

    public static final KeyExchange KRB5

  - ### ECDHr

    public static final KeyExchange ECDHr

  - ### ECDHe

    public static final KeyExchange ECDHe

  - ### GOST

    public static final KeyExchange GOST

  - ### SRP

    public static final KeyExchange SRP

  - ### RSAPSK

    public static final KeyExchange RSAPSK

  - ### ECDHEPSK

    public static final KeyExchange ECDHEPSK

  - ### DHEPSK

    public static final KeyExchange DHEPSK

  - ### ANY

    public static final KeyExchange ANY

- ## Method Details

  - ### values

    public static KeyExchange[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static KeyExchange valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null